Bug 7022 - Среди man-страниц отсутсвует страница про asprintf
: Среди man-страниц отсутсвует страница про asprintf
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man-pages)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-07 16:35 by
Modified: 2005-08-30 13:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-07 16:35:25
man asprintf сообщает про asprintf только одно предложение. Алексей Турбин
отыскал, что при сборке пакета man-pages...-noarch.rpm из src.rpm страница с
asprintf удаляется, а вместо неё подставляется страница с printf:

А, ну ясно, это у нас /usr/lib/rpm/brp-compress...
При сборке пакета man-pages:

removed `/home/at/tmp/man-pages-buildroot/usr/share/man/man3/asprintf.3'
create symbolic link
`/home/at/tmp/man-pages-buildroot/usr/share/man/man3/asprintf.3.gz' to
`printf.3.gz'

Данная функция в Linux вполне работоспособна.
Steps to Reproduce:
man asprintf
Actual Results:  
Про asprintf только одно предложение.

Expected Results:  
Нормальное описание функции.
------- Comment #1 From 2005-06-10 00:13:22 -------
fixed in man-pages-2.03-alt2.src.rpm